Ubuntu

[MASTER] Please update lightning extension to version 1.0 for use with Thunderbird 3

Reported by Carlos Perelló Marín on 2010-03-04
298
This bug affects 51 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
Undecided
Colin Watson
iceowl (Debian)
Unknown
Unknown
lightning-sunbird (Ubuntu)
Wishlist
Unassigned

Bug Description

WORKAROUND 64-bit (Install contrib xpis from Mozilla):
For Thunderbird 3.1: http://releases.mozilla.org/pub/mozilla.org/calendar/lightning/releases/1.0b2/contrib/linux-x86_64/
For Thunderbird 3.0: http://releases.mozilla.org/pub/mozilla.org/calendar/lightning/releases/1.0b1/contrib/linux-x86_64/

32 bit users can use versions from addons.mozilla.org

----------------------

With latest Lucid version, Thunderbird 3 is not able to use lightning-sunbird package, we need an update of that package that is compatible with Thunderbird 3 or the package is useless, given that it's only useful for Thunderbird 2.

John Vivirito (gnomefreak) wrote :

This is known and we will be updating to 1.0 once the thunderbird-dev headers are done. Talking to Miicahg on IRC he should be getting to the -dev headers next weekend
Marked as triaged

Changed in lightning-sunbird (Ubuntu):
status: New → Triaged
summary: - Unable to use this extension with Thunderbird 3
+ Unable to use Lightning 0.9 extension with Thunderbird 3
summary: - Unable to use Lightning 0.9 extension with Thunderbird 3
+ Please update lightning extension for use with Thunderbird 3
summary: - Please update lightning extension for use with Thunderbird 3
+ Please update lightning extension to version 1.0 for use with
+ Thunderbird 3

Adding milestone so we don't forget this.

Changed in lightning-sunbird (Ubuntu):
importance: Undecided → Wishlist
milestone: none → ubuntu-10.04-beta-2
michael37 (misha37) wrote :

I am maintaining page https://help.ubuntu.com/community/ThunderbirdLightning which tries to resolve confusion about Thunderbird and Lightning version. Please help me keep this page updated when lightning-extensions becomes available for Lucid and older versions of Ubuntu.

John Vivirito (gnomefreak) wrote :

Michael,
We should not provide ways to get lightning from upstream as this has caused major bugs in the past and is no different now. We also have not released newer versions to older versions of Ubuntu as this has caused issues as well. We will have 1.0b1 as soon as we can.

Micah Gersten (micahg) wrote :

Pushing this back to RC as I don't think anyone can get to it this week.

Changed in lightning-sunbird (Ubuntu):
milestone: ubuntu-10.04-beta-2 → ubuntu-10.04
michael37 (misha37) wrote :

@gnomefreak: Does this problem affect only lightning or other extensions as well?
Also, the instructions there are for the mozilla-daily testers (and unfortunately, unsuspecting users following instructions despite posted warnings). I would be more than glad to provide ample warnings for them, however, upstream lightning seems to be the only available version for thunderbird 3 mozilla-daily users at this time.

Curtis Hall (curt-bluecherry) wrote :

It's getting really close to freeze time. As of today this extension is still installing 0.9 which clearly states:

        <em:id>{3550f703-e582-4d05-9a08-453d09bdfdc6}</em:id>
        <em:minVersion>2.0</em:minVersion>
        <em:maxVersion>2.0.0.*</em:maxVersion>

Lucid installs Thunderbird 3.0, so this package really needs to be removed from Lucid or upgraded to 1.0

Michał Gołębiowski (mgol) wrote :

@chall
It's not "getting close" to Final Freeze, it is already there: https://wiki.ubuntu.com/LucidReleaseSchedule

John Vivirito (gnomefreak) wrote :

We are working on it and we should have it ready before Tuesday at midnight UTC

Michael: for this bug it is related to Lightning. since we have to modify the source to only build lightning and not build Sunbird it is causing this to take a bit longer than we expected but keep in mind only a few of us package Mozilla apps and between the major changes in Thunderbird and Firefox it has taken longer. sorry for the inconvenience

John Vivirito (gnomefreak) wrote :

Made this a MASTER bug to collect bugs related with this one.

summary: - Please update lightning extension to version 1.0 for use with
+ [MASTER] Please update lightning extension to version 1.0 for use with
Thunderbird 3
Micah Gersten (micahg) wrote :

This didn't make it for Lucid, so can we please add a Release note that Lightning will not be available for Lucid in the archive, but we will try to add it to -backports once we have it fixed up for Maverick.

Colin Watson (cjwatson) wrote :

Release note added:

== Lightning extension not yet available for Thunderbird 3 ==

The Thunderbird mail and news client has been upgraded to version 3, but the "Lightning" calendar extension is not yet available for this version. We hope to provide a backport soon. (Bug:532232)

Changed in ubuntu-release-notes:
assignee: nobody → Colin Watson (cjwatson)
status: New → Fix Released

SIgh. The greatest problem in using a linux-only system in my job is the lack of a calendar system that is compatible with people using the other operating system. Thunderbird + Lightning with a SyncML server was an acceptable approximation...
Please tell in this thread when the backport is available, so people can now when it's possible to upgrade to 10.04 without losing your calendar/appointment schedule.
Thanks a lot!

geoffrey (gkgeko) wrote :

As Michael suggested above, you can get Lightning from there: https://help.ubuntu.com/community/ThunderbirdLightning . So far, after about a month of use, I have had no problems with the 64bit version, so with no other alternative I will just continue using it.

Mark Rowland (mrowland) wrote :

I upgraded to 10.04rc (32bit) and found that I could not access my calendar in Thunderbird. I added Lightening from Tools>Add-ons and have not had any problems. It found my calendar data, and just works.

Michał Gołębiowski (mgol) wrote :

Yeah, with 32-bit version it's possible. In 10.04 64-bit the only way is to wait for the repository or to build the extension by oneself...

On 05/01/2010 10:48 AM, Michał Gołębiowski wrote:
> Yeah, with 32-bit version it's possible. In 10.04 64-bit the only way is
> to wait for the repository or to build the extension by oneself...
>

http://www.mozilla.org/projects/calendar/releases/lightning1.0b1.html#contributedbuilds

Includes a "Linux x86-64" build. It works for me.

Felix Geyer (debfx) wrote :

Please follow the link geoffrey has posted.
It contains the download location of the 64bit Lightning extension.

Graham Ranger (graham-ranger) wrote :

I added Lightning 1 to Thunderbird 3 on Ubuntu 10.04, but it seems to lead to Thunderbird hanging, notably when closing the Lightning tab, or switching between tabs (via Ctrl Tab). Has anyone else noticed this, and is there a known fix?

Graham Ranger (graham-ranger) wrote :

Update: oddly enough, I uninstalled Lightning 0.9 via Synaptics, and then activated Lightning 1.0 via the add-ons menu item in Thunderbird. I've been using it for a day or so since, and have had no more crashes.

S3Indiana (s3indiana) wrote :

Colin Watson wrote on 2010-04-28:
Release note added:

== Lightning extension not yet available for Thunderbird 3 ==
https://wiki.kubuntu.org/LucidLynx/ReleaseNotes#Lightning%20extension%20not%20yet%20available%20for%20Thunderbird%203
The Thunderbird mail and news client has been upgraded to version 3, but the "Lightning" calendar extension is not yet available for this version. We hope to provide a backport soon. (Bug:532232)
https://bugs.launchpad.net/bugs/532232

It would be helpful if the release notes were corrected to reflect that this issue appears to primarily affect 64-bit install (I haven't experienced issues with Thunderbird 3 and Lightning 1 on a 32-bit x86 since release on January 12, 2010). BTW even that issues appeared resolved the next day...
More news on the Lightning 1.0 beta1 update
http://weblogs.mozillazine.org/calendar/2010/01/more_news_on_the_lightning_10.html
Where is the x86-64 build for Linux?
Download the x86-64 build for Linux
http://releases.mozilla.org/pub/mozilla.org/calendar/lightning/releases/1.0b1/contrib/linux-x86_64/lightning.xpi

Micah Gersten (micahg) wrote :

The issue is that lightning is not in the archive. The version from
addons.mozilla.org works for i386, but that it not what this bug or the
release notes are about.

Johnny Ferguson (hyperflexed) wrote :

I've tried 1.0b1, and 1.0b2 from the link geoffrey provided. Still no go. Thunderbird crashes when I try to add or remove events. The events are still added and removed, but it's pretty sad that I have to kill and restart thunderbird every time I add or remove an event.

I'm running thunderbird 3.04 (64 bit).

John Vivirito (gnomefreak) wrote :

Micah,
We should update the Milestone (if you have a time frame set

Micah Gersten (micahg) wrote :

I can try for Maverick beta, but there's a lot to get done this month. I'll update the descriptions with the links to the appropriate versions of lightning as well.

Changed in lightning-sunbird (Ubuntu):
milestone: ubuntu-10.04 → ubuntu-10.10-beta
description: updated
description: updated
Johnny Ferguson (hyperflexed) wrote :

I'm wondering if it would be possible to add Sunbird back to the repos as a stopgap measure for those who can't get lightning to work. I've downloaded sunbird from the mozilla site, but it doesn't come in package format. I'd prefer a package as it's easier to remove than a pre-compiled application folder (which must be manually added and removed).

I love ubuntu, but it's rather difficult to operate without a calendar.

Micah Gersten (micahg) wrote :

 No, it's no longer supported upstream. You can try to grab the .debs
from karmic and see if they work, but we won't be supporting it.

On 08/16/2010 01:01 PM, Johnny Ferguson wrote:
> I'm wondering if it would be possible to add Sunbird back to the
> repos as a stopgap measure for those who can't get lightning to
> work. I've downloaded sunbird from the mozilla site, but it doesn't
> come in package format. I'd prefer a package as it's easier to
> remove than a pre- compiled application folder (which must be
> manually added and removed).
>
> I love ubuntu, but it's rather difficult to operate without a
> calendar.
>

Hagen (hagenf) wrote :

In my view, having a release upgrade render your calendar inaccessible without an easy and secure workaround is a severe regression. I cannot understand that Ubuntu does not treat it accordingly, but rather under "wishlist".

Even though I switched from Sunbird to the 32-bit Thunderbird (Lucid UNE) and got Lightning to work, I *almost* gave up and went back to Karmic just because of this one single regression.

For Ubuntu to be taken seriously as a replacement for Windows, a read/write calendar is required, and it must be a read/write server-based open solution (such as web-based via ftp/webdav/etc) so the calendar is always up to date on your home pc, work pc, netbook, and phone with no more than a reload.

(I currently use ftp and .ics files myself, since many webhosts do not support webdav -- mine doesn't -- and I haven't found other options with Sunbird/Thunderbird that work as well.)

Bill Turner, wb4alm (wb4alm) wrote :

I assumed that after 5 months that most of the bugs in 10.04 LTS would have been fixed.

Silly me. It appears that from comments above and in other reports that it is more important to get the next beta out the door, then it is to get an LTS version to operate properly, and without regressing previously installed software.

Most of the newer systems are 64-bit based, and have been for a couple of years. Why then should I be forced to run 32-bit applications (or worse yet, a 32-bit operating system) just to keep working features?

Is there an estimate for when the 64-bit calendar will be available?

Micah Gersten (micahg) wrote :

 Sorry, I added a workaround before on how to get the upstream 64 bit
build. We'll try to get to this soon.

On 08/30/2010 08:56 PM, Bill Turner, wb4alm wrote:
> I assumed that after 5 months that most of the bugs in 10.04 LTS would
> have been fixed.
>
> Silly me. It appears that from comments above and in other reports that
> it is more important to get the next beta out the door, then it is to
> get an LTS version to operate properly, and without regressing
> previously installed software.
>
> Most of the newer systems are 64-bit based, and have been for a couple
> of years. Why then should I be forced to run 32-bit applications (or
> worse yet, a 32-bit operating system) just to keep working features?
>
> Is there an estimate for when the 64-bit calendar will be available?
>

michael37 (misha37) wrote :

re wb4alm: Last time I checked, the download page (http://www.ubuntu.com/desktop/get-ubuntu/download) said

* 32-bit - Recommended for most users
* 64-bit - Not recommended for daily desktop usage

Meanwhile, I made several major updates to https://help.ubuntu.com/community/ThunderbirdLightning, including Maverick instructions to include both 32-bit and 64-bit instructions. I am running 64-bit Thunderbird 3.1 with latest Lightning (from contrib) and it works fine for me. Waiting for Micah...

Hagen (hagenf) wrote :

It should be noted that there is currently no easy and secure workaround for this regression. You either have to download the 64bit build over an insecure connection or get the sources securely and build it yourself. I opted for the latter, but it certainly can't count as easy.

hs (hs4711) wrote :

Debian has solved this and they even still support there version of sunbird.

John Vivirito (gnomefreak) wrote :

Please mark bug duplicate s to the Master bug. It is a master bug to catch duplicates this is for next time you see a master bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.